import { flags } from '@oclif/command';
import { IDFormat } from '@znetstar/encode-tools-native/lib/EncodeToolsAuto';
import { IEncodeTools } from '@znetstar/encode-tools-native/lib/IEncodeTools';
import EncodeToolsBase from "./EncodeToolsBase";
import { BufferEncodeFlags } from "./encodeBuffer";
export declare type UniqueIdFlags = BufferEncodeFlags & {
    idFormat: IDFormat;
};
export default class UniqueId extends EncodeToolsBase {
    static description: string;
    static example: string;
    static flags: {
        args: flags.IOptionFlag<string[]>;
        format: flags.IOptionFlag<import("@znetstar/encode-tools/lib/EncodeTools").BinaryEncoding>;
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
        idFormat: flags.IOptionFlag<IDFormat>;
    };
    static args: {
        name: string;
        required: boolean;
        description: string;
        default: string;
    }[];
    protected encoder(flags: UniqueIdFlags): IEncodeTools;
    run(): Promise<void>;
}
